ANNIE - Support #17621

Annie internal web pages to https://anniedata.fnal.gov
08/31/2017 08:46 AM - Arthur Kreymer

Status: Work in progress Start date: 08/31/2017
Priority: Normal Due date: 09/30/2017
Assignee: Arthur Kreymer % Done: 100%
Category: Estimated time: 5.00 hours
Target version: Spent time: 3.50 hours
Description

Preparing to move public pages to Wordpress managed https://annie.fnal.gov.

Existing pages will move to https:/anniedata.fnal.gov

History

#1 - 08/31/2017 08:49 AM - Arthur Kreymer

- Estimated time changed from 2.00 h to 5.00 h

RITM0577211 06/26 anniedata go-live

2017-08-17 13:20:01 CDT - Leah Hesla (Additional comments)
Hi Arthur. I'm sorry for the delay.

Before this can go live, the style sheet needs to be applied to the web content.

One alternative: if you're OK with putting the site behind a password, \
we can go live as is .

kreymer -

| think the right thing to do is to require fermilab Single Sign On for access.
Please contact Arthur Kreymer and show me now to set this up.

We should be OK with all Fermilab users read ing these pages, as they can now.

The occasional signon would not be a big problem,
as the present users are on shift, and already use Services accounts to access the ECL.

#2 - 08/31/2017 08:52 AM - Arthur Kreymer

Planning the move of Annie internal web pages
from annie.fnal.gov to anniedata.fnal.gov,
we have been warned of DOE Branding requirments for public web pages.

The simplest way to do this is to restrict offsite access to anniedata,
from which the DAQ pages will be served.

Would we be OK doing this with Fermilab Services Single Sign On ?
We could discuss this at the Friday Sep 1 meeting.

Everyone with a Fermilab account would have read access,
entering their Services password as used by ECL, Redmine, mail and VPN.

Onsite clients would continue to have direct access.

#3 - 09/06/2017 01:34 PM - Arthur Kreymer
- % Done changed from 20 to 40

We have enabled Fermilab Single Sign On for access to anniedata.fnal.gov.

The /web/sites/a/anniedata.fnal.gov/htdocs/.htaccess file was updated as follows :

#order allow,deny
#allow from all
https://annie.fnal.gov
https://anniedata.fnal.gov

mellonenable "auth"

Offsite access has been requested again in RITM0577211

#4 - 01/25/2018 07:22 AM - Matthew Wetstein
- % Done changed from 40 to 100
